%define major	0
%define libname	%mklibname afpclient %major
%define devname	%mklibname afpclient -d

Summary:	An open source client for Apple Filing Protocol
Name:		afpfs-ng
Version:	0.8.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Networking/File transfer
URL:		http://sites.google.com/site/alexthepuffin/home
Source:		http://sourceforge.net/projects/afpfs-ng/files/afpfs-ng/%version/afpfs-ng-%version.tar.xz
Patch10:	build-error-fixes.patch
Patch11:	header-path-fix.patch
Patch12:	include-headers-fix.patch
#----------------------------------------
BuildRequires: %{_lib}fuse-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}readline-devel
#----------------------------------------

%description
afpfs-ng is a client for the Apple Filing Protocol (AFP) which will let
you mount and access shared volumes from Mac OS X (or netatalk).

There is a FUSE-based client which lets you mount a remote filesystem.

There is also a simple, command-line AFP client; think about it as an
FTP client for AFP.

%package -n %libname
Summary:	Shared library of %name
Group:		System/Libraries
Provides:	%name = %version-%release

%description -n %libname
This package contains the library needed to run programs dynamically
linked with libafpclient, an Apple Filing Protocol (AFP) client library.

%package -n %devname
Summary:	Development headers for libafpclient
Group:		Development/Libraries
Requires:	%libname = %version
Provides:	%name-devel = %version-%release
Provides:	afpclient-devel = %version-%release

%description -n %devname
This package contains the headers needed to compile programs that use
libafpclient, an Apple Filing Protocol (AFP) client library.

%prep
%setup -q
%apply_patches

%build
autoreconf -if
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%files
%doc docs/*.txt docs/README
%{_bindir}/afp*
%{_bindir}/mount_afp
%{_mandir}/man1/*afp*.1*

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %devname
%{_libdir}/*.so
%{_includedir}/%{name}


%changelog
* Tue Dec 12 2017 adrianomorselli <adrianomorselli> 0.8.1-3uplos2017
- rebuild
